Get Safe info
curl --request GET \
--url https://api.sx.bet/user/multisig/{safeAddress}/info \
--header 'x-sx-api-key: <api-key>'import requests
url = "https://api.sx.bet/user/multisig/{safeAddress}/info"
headers = {"x-sx-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-sx-api-key': '<api-key>'}};
fetch('https://api.sx.bet/user/multisig/{safeAddress}/info', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"data": {
"safeAddress": "0x8E4c91A7D2b0f35e6A19c84d70B2e5F1a3c6D9e8",
"owners": [
"0x52adf738AAD93c31f798a30b2C74D658e1E9a562"
],
"threshold": 1,
"nonce": 3,
"pendingTransaction": null
}
}{
"message": "invalid safeAddress",
"error": "Bad Request",
"statusCode": 400
}{
"message": "BAD_AUTH",
"error": "Unauthorized",
"statusCode": 401
}{
"message": "the target Safe is not associated with your account",
"error": "Forbidden",
"statusCode": 403
}{
"message": "your proxy wallet is not deployed yet",
"error": "Conflict",
"statusCode": 409
}Advanced Wallet
Safe info
Signers, threshold, and the pending transaction on your proxy’s Safe.
GET
/
user
/
multisig
/
{safeAddress}
/
info
Get Safe info
GET /user/multisig/{safeAddress}/info is the state of the Safe on your proxy.
safeAddress is multisigSafeAddress from GET /user/proxy.
A Safe holds at most one pending transaction.Last modified on October 1, 2026